package cn.iocoder.yudao.module.sale.vo.channel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

import java.math.BigDecimal;
import java.util.List;

/**
* 渠道管理 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class ChannelBaseVO {

    @ApiModelProperty(value = "名称-中文")
    private String nameZh;

    @ApiModelProperty(value = "名称-英文")
    private String nameEn;

    @ApiModelProperty(value = "名称-法文")
    private String nameFr;

    @ApiModelProperty(value = "内部名称-中文")
    private String internalNameZh;

    @ApiModelProperty(value = "内部名称-英文")
    private String internalNameEn;

    @ApiModelProperty(value = "内部名称-法文")
    private String internalNameFr;

    @ApiModelProperty(value = "类型编码")
    private String typeNumber;

    @ApiModelProperty(value = "简写编码")
    private String code;

    @ApiModelProperty(value = "国家id")
    private Long countryId;

    @ApiModelProperty(value = "仓库ID字符串")
    private String warehouseIds;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "快递ID")
    private String expressId;

    @ApiModelProperty(value = "预计到达时间(天)")
    private Integer etaTime;

    @ApiModelProperty(value = "渠道代理")
    private String channelAgent;

    @ApiModelProperty(value = "备注-中文")
    private String remarksZh;

    @ApiModelProperty(value = "备注-英文")
    private String remarksEn;

    @ApiModelProperty(value = "备注-法文")
    private String remarksFr;

    @ApiModelProperty(value = "状态(0:禁用 1:启用)")
    private Boolean status;

    @ApiModelProperty(value = "清关单价")
    private BigDecimal customsClearUnit;

    @ApiModelProperty(value = "每0.5kg清关单价")
    private BigDecimal weightUnitPrice;

    /**
     * 可出特性id
     */
    @ApiModelProperty(value = "可出商品特性id eg:1,2,3")
    private String attrId;

    /**
     * 泡重比例
     */
    @ApiModelProperty(value = "泡重比例")
    private BigDecimal bubbleWeightRatio;

    @ApiModelProperty(value = "免泡重量")
    private BigDecimal bubbleExemptWeight;

    @ApiModelProperty(value = "快递公司名称")
    private String companyName;

    @ApiModelProperty(value = "仓库名称列表")
    private List<String> warehouseNameList;

}
